
package de.ivu.elect.presentation.gruppe;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.ergebnis.entity.Ergebnisart;
import de.ivu.elect.business.ergebnis.entity.Stimmabgabeart;
import de.ivu.elect.jee.faces.HttpHeaderContentSecurityPolicy;

@Specializes
@HttpHeaderContentSecurityPolicy(policy="XXX", add="") // unsafe-eval aus GruppeKumulierteStimmenSearchView entfernen
public class NlGruppeKumulierteStimmenSearchView extends GruppeKumulierteStimmenSearchView {

  private static final long serialVersionUID = 1L;

  public NlGruppeKumulierteStimmenSearchView() {
    super();
  }

  @Override
  public boolean isTabDirektstimmenRendered() {
    return false; // ELECTVAPP-186
  }

  @Override
  public boolean isTabListenstimmenRendered() {
    return false; // ELECTVAPP-186
  }

  @Override
  public boolean isTabGesamtstimmenRendered() {
    return false; // ELECTVAPP-186
  }

  @Override
  public List<Stimmabgabeart> getStimmabgabearten() {
    return new ArrayList<>(); // ELECT-9960
  }

  @Override
  public List<Ergebnisart> getErgebnisartenFuerDifferenz() {
    return new ArrayList<>();// ELECT-9960
  }
}
